### Method

# Vips Image radsave_buffer

#### Declaration [src]

    int
    vips_radsave_buffer (
      VipsImage* in,
      void** buf,
      size_t* len,
      ...
    )

#### Description [src]

As `vips_radsave()`, but save to a memory buffer.

The address of the buffer is returned in `buf`, the length of the buffer in `len`. You are responsible for freeing the buffer with `g_free()` when you are done with it.

See also

`vips_radsave()`, `vips_image_write_to_file()`.

This method is not directly available to language bindings.

#### Parameters

`buf`

  Type: An array of `guint8`

  Return output buffer here.

  The length of the array is specified in the `len` argument.
  The data is owned by the caller of the method.

`len`

  Type: `size_t*`

  Return output length here.

  The data is owned by the caller of the method.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.